#!/bin/sh

NODEID=$(sed s/://g /sys/class/net/br-ffda/address)
[[ -n "$NODEID" ]] || exit 1

CLIENTS24=$(iwinfo wlan0-1 assoclist | grep '^$' | wc -l)
CLIENTS5=$(iwinfo wlan1-1 assoclist | grep '^$' | wc -l)

GW=$(batctl gwl | sed -n 's/^=> \([0-9a-f:]\+\) .*/\1/p')

gzip <<EOT | alfred -i br-ffda -b bat0 -s 159
{"node_id": "$NODEID", "clients": {"wifi": $(($CLIENTS24 + $CLIENTS5)), "total": $(($CLIENTS24 + $CLIENTS5))}, "gateway": "$GW"}
EOT
